Bug 1845473 - Exporting an OVA file from a VM results in its ovf file having a format of RAW when the disk is COW
Summary: Exporting an OVA file from a VM results in its ovf file having a format of RA...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.4.1
: 4.4.1
Assignee: Steven Rosenberg
QA Contact: Polina
URL:
Whiteboard:
Depends On:
Blocks: 1830762 1852314
TreeView+ depends on / blocked
 
Reported: 2020-06-09 10:45 UTC by Steven Rosenberg
Modified: 2020-08-04 13:23 UTC (History)
5 users (show)

Fixed In Version: ovirt-engine-4.4.1.5
Doc Type: Bug Fix
Doc Text:
Previously, exporting a virtual machine or template to an OVA file incorrectly sets its format in the OVF metadata file to "RAW". This issue causes problems using the OVA file. The current release fixes this issue. Exporting to OVA sets the format in the OVF metadata file to "COW", which represents the disk's actual format, qcow2.
Clone Of:
: 1852314 (view as bug list)
Environment:
Last Closed: 2020-08-04 13:22:49 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3247 0 None None None 2020-08-04 13:23:38 UTC
oVirt gerrit 109549 0 master MERGED Core: Exporting a VM with disk as an OVA is RAW 2020-08-24 14:31:02 UTC
oVirt gerrit 109662 0 ovirt-engine-4.3 MERGED Core: Exporting a VM with disk as an OVA is RAW 2020-08-24 14:31:02 UTC

Description Steven Rosenberg 2020-06-09 10:45:45 UTC
Description of problem: When exporting a VM to an OVA file the export succeeds, but when extracting the ovf file from the OVA file via tar the ovf metadata has its format field set to RAW. An inspection of the actual disk file via qemu-img info shows that the disk format is actually qcow2.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Export as an OVA file a VM with a disk attached
2. Access the Host and use tar xvf to extract the vm.ovf file and the disk
3. open the ovf file and search for the format

Actual results:

The format is set to RAW


Expected results:

The format should be set to COW


Additional info:


Use "qemu-img info " command on the disk file to verify the format is qcow2.

Comment 1 Arik 2020-06-09 16:21:20 UTC
(In reply to Steven Rosenberg from comment #0)
> Steps to Reproduce:
> 1. Export as an OVA file a VM with a disk attached

Adding to the above that the disk should be of type RAW and with no snapshots.

Comment 5 Polina 2020-07-06 11:23:42 UTC
verified in ovirt-engine-4.4.1.2-0.10.el8ev.noarch

Comment 13 errata-xmlrpc 2020-08-04 13:22:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: RHV Manager (ovirt-engine) 4.4 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:3247


Note You need to log in before you can comment on or make changes to this bug.